@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix sosa: <http://www.w3.org/ns/sosa/> .
@prefix ssn-system: <http://www.w3.org/ns/ssn/systems/> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .

aps:fb99d1ec-c1e6-4c18-8207-5db2841280d8
    a sh:NodeShape ;
    # WORK IN PROGRESS

    # sh:node aps:SystemCapabilityShape ; # does not exist yet
    # owl:imports aps:40db38a8-2420-4c02-82f3-9b49c5b172a9 ; # System # does not exist yet
    dcterms:subject dfgfo:4 ;
    dcterms:title "sensor capability"@en ; 
    dcterms:description "Describes normal measurement properties such as accuracy, range, precision, etc. of a Sensor under some specified Conditions such as a temperature range. The capabilities specified here are those that affect the primary purpose of the Sensor, while those in OperatingRange represent the sensor's normal operating environment, including Conditions that don't affect the Observations."@en ;
    dcterms:title "Sensorfähigkeiten"@de ; 
    dcterms:description "Beschreibt die normalen Messeigenschaften wie Genauigkeit, Bereich, Präzision usw. eines Sensors unter bestimmten Bedingungen, z. B. einem Temperaturbereich. Die hier angegebenen Fähigkeiten sind diejenigen, die sich auf den Hauptzweck des Sensors auswirken, während die in OperatingRange angegebenen Fähigkeiten die normale Betriebsumgebung des Sensors darstellen, einschließlich Bedingungen, die sich nicht auf die Beobachtungen auswirken."@de ;
    dcterms:creator <https://orcid.org/0000-0002-6793-8533> ;
    dcterms:license <https://spdx.org/licenses/CC-BY-4.0.html> ;
    dcterms:created "2022-09-20"^^xsd:date ;
    sh:property [
        sh:name "precision"@en ;
        sh:description "precision of the sensor"@en ;
        sh:path ssn-system:hasSystemProperty ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:class ssn-system:Precision ; # could do PrecisionShape derived from PropertyShape or QuantityShape to declare constraints which attributes are required
    ] ;
    sh:property [
        sh:name "accuracy"@en ;
        sh:description "accuracy of the sensor"@en ;
        sh:path ssn-system:hasSystemProperty ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:class ssn-system:Accuracy ; # could do AccuracyShape derived from PropertyShape or QuantityShape to declare constraints which attributes are required
    ] .